
Redmine - Feature #14741

Right click an issue to add a child issue

2013-08-21 19:15 - Ryan Cain

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

The right click context menu is great on the Issues tab, but one functionality I wish it had was the ability to right click and select "Add

Child Issue".

Basically from the issues list you would right click an issue to bring up the context menu.  Then right before the "copy" option would

be "Add Child Issue".  When you select it, it would bring you to the New Issue form with the Parent Number already populated for

you.

As and expansion of this functionality the "Add Child Issue" could have a fly out menu like "% Done" and "Priority" where you could

also choose the tracker type for the new child issue.  And when you go to the New Issue form the tracker type and parent number are

both populated for you.

Related issues:

Is duplicate of Redmine - Feature #34303: Allow to add subtask from context menu Closed

History

#1 - 2013-08-28 10:19 - Jun Zhang

- File issue_14741_patch.diff added

see attached patch

this is my first patch submission to the community,

hope someone can review the codes.

#2 - 2021-07-05 10:23 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Implemented in Redmine 4.2.0 (#34303).

#3 - 2021-07-05 10:23 - Go MAEDA

- Is duplicate of Feature #34303: Allow to add subtask from context menu added

Files

issue_14741_patch.diff 2.16 KB 2013-08-28 Jun Zhang
